Remove authentication configuration

PATCH/fhir-provider/{fhir_provider_id}/remove-auth-config
RequiresBearerauthentication

Path parameters

fhir_provider_idstringrequired

Body parameters

auth_config_idstringrequired
Returns  

Response fields

successbooleanoptional
messagestringoptional
dataobjectoptional
idstringrequired
namestringrequired
descriptionstringoptional
providerstringrequired
aidboxathenahealthcanvascernerelationepicgoogle_healthcarehapimeditechmedplumphenostoresandbox
base_urlstring (uri)optional
client_idstringoptional
auth_configsobjectrequired
last_updatedstring (date-time)required
PATCHRequest
# Get authentication token
PHENOML_TOKEN=$(curl -X POST "https://experiment.app.pheno.ml/v2/auth/token" \
  -u "$PHENOML_CLIENT_ID:$PHENOML_CLIENT_SECRET" \
  | jq -r '.access_token')

curl -X PATCH "https://experiment.app.pheno.ml/fhir-provider/{fhir_provider_id}/remove-auth-config" \
  -H "Authorization: Bearer $PHENOML_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "auth_config_id": "auth-config-456"
}'
200 OKExample Response
{
  "success": true,
  "message": "Fhir provider auth config deleted successfully",
  "data": {
    "id": "1716d214-de93-43a4-aa6b-a878d864e2ad",
    "name": "Epic Sandbox",
    "description": "Epic sandbox environment for testing",
    "provider": "epic",
    "base_url": "https://fhir.epic.com/interconnect-fhir-oauth/api/FHIR/R4",
    "auth_configs": {
      "auth-config-123": {
        "auth_config_id": "auth-config-123",
        "auth_method": "jwt",
        "is_active_auth_config": true,
        "created_at": "2024-01-15T10:30:00Z",
        "updated_at": "2024-01-15T10:30:00Z",
        "scopes": "system/Patient.read system/Observation.read",
        "client_id": "your-client-id"
      }
    },
    "last_updated": "2024-02-20T11:30:00Z"
  }
}